> ## Documentation Index
> Fetch the complete documentation index at: https://developer.sandbox.co.in/llms.txt
> Use this file to discover all available pages before exploring further.

# Submit Job

> Use this API to check and avoid any potential notice towards your TDS return

<Note>
  This endpoint is part of a job-based async workflow. See the [job-based API workflow guide](/guides/developer-resources/job_based_apis#job-based-api-workflow) for job creation, payload upload, and status polling.
</Note>


## OpenAPI

````yaml api-reference/tds/analytics/openapi.json POST /tds/analytics/potential-notices
openapi: 3.1.0
info:
  title: analytics
  version: 1.0.0
  description: ''
servers:
  - url: https://test-api.sandbox.co.in
  - url: https://api.sandbox.co.in
security: []
paths:
  /tds/analytics/potential-notices:
    post:
      tags:
        - Potential Notices
        - TDS
      summary: Create TDS Potential Notice Job
      parameters:
        - name: x-api-key
          in: header
          required: true
          description: API key for identification
          deprecated: false
          schema:
            type: string
        - name: authorization
          in: header
          required: true
          description: JWT access token
          deprecated: false
          schema:
            type: string
        - name: x-api-version
          in: header
          description: API Version
          schema:
            type: string
      requestBody:
        content:
          application/json:
            examples:
              200 Form 26Q Job created:
                summary: 200 Form 26Q Job created
                value:
                  '@entity': in.co.sandbox.tds.analytics.potential_notice.request
                  quarter: Q4
                  form: 26Q
                  tan: AHMA09719B
                  financial_year: FY 2023-24
              200 Form 24Q Job created:
                summary: 200 Form 24Q Job created
                value:
                  '@entity': in.co.sandbox.tds.analytics.potential_notice.request
                  quarter: Q4
                  form: 24Q
                  tan: AHMA09719B
                  financial_year: FY 2023-24
              200 Form 27Q Job created:
                summary: 200 Form 27Q Job created
                value:
                  '@entity': in.co.sandbox.tds.analytics.potential_notice.request
                  quarter: Q4
                  form: 27Q
                  tan: AHMA09719B
                  financial_year: FY 2023-24
              200 Submitted Job will fail:
                summary: 200 Submitted Job will fail
                value:
                  '@entity': in.co.sandbox.tds.analytics.potential_notice.request
                  quarter: Q3
                  form: 26Q
                  tan: BLRC23456F
                  financial_year: FY 2023-24
              422 Invalid TAN:
                summary: 422 Invalid TAN
                value:
                  '@entity': in.co.sandbox.tds.analytics.potential_notice.request
                  quarter: Q3
                  form: 26Q
                  tan: DABC2345DD
                  financial_year: FY 2023-24
              422 Invalid Quarter:
                summary: 422 Invalid Quarter
                value:
                  '@entity': in.co.sandbox.tds.analytics.potential_notice.request
                  quarter: Q5
                  form: 28Q
                  tan: EABC23456N
                  financial_year: FY 2023-24
              422 Invalid Form:
                summary: 422 Invalid Form
                value:
                  '@entity': in.co.sandbox.tds.analytics.potential_notice.request
                  quarter: Q3
                  form: 25Q
                  tan: EABC23456N
                  financial_year: FY 2023-24
              422 Invalid Financial Year:
                summary: 422 Invalid Financial Year
                value:
                  '@entity': in.co.sandbox.tds.analytics.potential_notice.request
                  quarter: Q3
                  form: 24Q
                  tan: EABC23456N
                  financial_year: '2022'
              422 Invalid Entity:
                summary: 422 Invalid Entity
                value:
                  '@entity': wrong.entity
                  quarter: Q3
                  form: 24Q
                  tan: EABC23456N
                  financial_year: FY 2023-24
            schema:
              type: object
              properties:
                '@entity':
                  type: string
                  const: in.co.sandbox.tds.analytics.potential_notice.request
                quarter:
                  type: string
                  description: Quarter for which TDS is being filed
                  enum:
                    - Q1
                    - Q2
                    - Q3
                    - Q4
                tan:
                  type: string
                  description: >-
                    TAN of deductor. Regular Expression:
                    [A-Z]{4}[0-9]{5}[A-Z]{1}
                  pattern: '[A-Z]{4}[0-9]{5}[A-Z]{1}'
                form:
                  type: string
                  description: TDS return form
                  enum:
                    - 24Q
                    - 26Q
                    - 27Q
                financial_year:
                  type: string
                  description: >-
                    Financial Year for which TDS is being filed. (eg. FY
                    2024-25)
                  example: FY 2024-25
              required:
                - '@entity'
                - quarter
                - tan
                - form
                - financial_year
      responses:
        '200':
          description: 200 - OK
          content:
            application/json:
              schema:
                type: object
                properties:
                  code:
                    type: integer
                  timestamp:
                    type: integer
                  transaction_id:
                    type: string
                  data:
                    type: object
                    properties:
                      '@entity':
                        type: string
                        enum:
                          - in.co.sandbox.tds.analytics.potential_notices.job
                      job_id:
                        type: string
                      tan:
                        type: string
                      quarter:
                        type: string
                      financial_year:
                        type: string
                      form:
                        type: string
                      status:
                        type: string
                      created_at:
                        type: integer
                      json_url:
                        type: string
                        format: uri
              examples:
                200 Form 26Q Job created:
                  value:
                    code: 200
                    timestamp: 1763633700000
                    transaction_id: 1c1e4905-d07e-4c51-b8c5-1163050ded7f
                    data:
                      '@entity': in.co.sandbox.tds.analytics.potential_notices.job
                      job_id: 1c1e4905-d07e-4c51-b8c5-1163050ded7f
                      tan: AHMA09719B
                      quarter: Q4
                      financial_year: FY 2023-24
                      form: 26Q
                      status: created
                      created_at: 1716515767000
                      json_url: >-
                        https://in-co-sandbox-tds-test-storage.s3.ap-south-1.amazonaws.com/upload/file
                200 Form 24Q Job created:
                  value:
                    code: 200
                    timestamp: 1763633700000
                    transaction_id: 1434930f-1516-42ff-945e-44d4105cca18
                    data:
                      '@entity': in.co.sandbox.tds.analytics.potential_notices.job
                      job_id: 1434930f-1516-42ff-945e-44d4105cca18
                      tan: AHMA09719B
                      quarter: Q4
                      financial_year: FY 2023-24
                      form: 24Q
                      status: created
                      created_at: 1716515767000
                      json_url: >-
                        https://in-co-sandbox-tds-test-storage.s3.ap-south-1.amazonaws.com/upload/file
                200 Form 27Q Job created:
                  value:
                    code: 200
                    timestamp: 1763633700000
                    transaction_id: 7f4c8126-0a4c-48f3-939a-b73721092d2f
                    data:
                      '@entity': in.co.sandbox.tds.analytics.potential_notices.job
                      job_id: 7f4c8126-0a4c-48f3-939a-b73721092d2f
                      tan: AHMA09719B
                      quarter: Q4
                      financial_year: FY 2023-24
                      form: 27Q
                      status: created
                      created_at: 1716515767000
                      json_url: >-
                        https://in-co-sandbox-tds-test-storage.s3.ap-south-1.amazonaws.com/upload/file
                200 Submitted Job will fail:
                  value:
                    code: 200
                    timestamp: 1763633700000
                    transaction_id: 05a3f586-5b2c-4f62-9f56-6600fcf9bc85
                    data:
                      '@entity': in.co.sandbox.tds.analytics.potential_notices.job
                      job_id: 05a3f586-5b2c-4f62-9f56-6600fcf9bc85
                      tan: BLRC23456F
                      quarter: Q3
                      financial_year: FY 2023-24
                      form: 26Q
                      status: created
                      created_at: 1716515767000
                      json_url: >-
                        https://in-co-sandbox-tds-test-storage.s3.ap-south-1.amazonaws.com/upload/file
        '422':
          description: 422 - Unprocessable Entity
          content:
            application/json:
              schema:
                type: object
                properties:
                  code:
                    type: integer
                  timestamp:
                    type: integer
                  transaction_id:
                    type: string
                  message:
                    type: string
              examples:
                422 Invalid TAN:
                  value:
                    code: 422
                    timestamp: 1763633700000
                    transaction_id: e9bf56c1-086e-41d4-9b1c-feebe35207e0
                    message: 'Invalid TAN: DABC2345DD'
                422 Invalid Quarter:
                  value:
                    code: 422
                    timestamp: 1763633700000
                    transaction_id: 90c354b0-0cad-403b-b840-892384d0e14d
                    message: 'Invalid quarter: Q5'
                422 Invalid Form:
                  value:
                    code: 422
                    timestamp: 1763633700000
                    transaction_id: 35a11c62-3dc7-48db-a930-2788c7a098ef
                    message: 'Invalid form type: 25Q'
                422 Invalid Financial Year:
                  value:
                    code: 422
                    timestamp: 1763633700000
                    transaction_id: f07c5a4b-1c16-429f-8941-9981eed6fd3e
                    message: 'Invalid financial year: 2022'
                422 Invalid Entity:
                  value:
                    code: 422
                    timestamp: 1763633700000
                    transaction_id: 1062275f-0c31-4b20-adbe-3d2f896c77f6
                    message: 'Invalid entity: wrong.entity'

````